package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 交通事故场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneAccidentParam extends PageVO implements Serializable {

    private List<String> sceneNameList;   // 用于批量删除的名称列表
    private String accidentId;              // （唯一）
    private String sceneName;  //场景名称
    private List<String> selfDriving;  //自车驾驶行为
    private List<String> targetDriving;  //目标驾驶行为
    private List<String> selfReaction ; //自车反应行为
    private List<String> conflictBehavior ; //冲突行为
    private List<String> conflictType ; //冲突类型
    private String videoAddress ; //视频地址
    private String osgbAddress  ;//
    private String xmlAddress ; //
    private String xodrAddress ; //
    private String jsonAddress ; //
    private String videoPreview;//视频预览地址

    private String rearEndCollision;//追尾
    private String cutIn;//切入
    private String driveCurve;//沿弯道行驶
    private String carConflict;//机动车-机动车冲突
    private List<String> AllIds ; //权限集合

    private String  xlk="0";//判断下拉框是否为空 0为空  1为有值
    private Integer  bq=0;//判断标签是否为空 0为空  1为有值

    private String  userId;//用户id

    private String[] ids ; //回显数组
    private String[] allSceneNames ; //场景名集合
    private String share;
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;
    private String needComplexity;
    private String needRisk;

}