package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 查询各种场景的列表页时的场景评价传参
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationForListParam extends PageVO implements Serializable {
    // 场景 id 列表
    private List<String> sceneIdList;
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;
}