package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 泛化模板
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneGeneralTemplateParam extends PageVO implements Serializable {

    private String id;              // （唯一）
    private String sceneId;//场景编号
    private List<String> scenarioWeather;  //天气
    private String scenarioTime;  //场景发生时间
    private List<String> fileName;//模块名称
    private String version;//版本号
    private String obsType;//目标物类型
    private String userId;//用户id

    private String[] ids ; //回显数组
    private String[] allSceneNames ; //场景名集合

    private List<String> scenarioRoadType;//道路类型
    private String share;

    private List<String> fhNameList;// 用于批量删除的名称列表
    private String scenarioResume;//场景简述
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;

}