package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 自然驾驶场景
 */
@EqualsAndHashCode(callSuper = false)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneNaturalNewParam extends PageVO implements Serializable {

    private List<String> naturalNameList;        // 用于批量删除的名称列表
    private String naturalName;             // 场景编号
    private String[][] naturalEnvironment;  // 自然环境
    private String[][] road;                // 道路
    private String[][] infrastructure;      // 基础设施
    private String[][] temporaryOperation;  // 临时性操作
    private String[][] trafficCondition;    // 交通状况
    private String[][] selfBehavior;        // 自车行为
    private String[][] targetBehavior;      // 目标行为
    private String[] ids;                   // 回显数组
    private String[][] highSpeed;           // 高速
    private String[][] ramp;                // 匝道
    private String[][] tunnel;              // 隧道
    private String[][] cutIn;               //切入
    private String[][] cutOut;              //切出
    private String[][] laneChange;          //变道
    private String[][] turnAround;          //掉头

    private String[] allSceneNames;         //场景名集合
    private String userId;                  //用户id
    private String share;
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;
}