package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 基准场景库前端传参
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneReferenceLibParam extends PageVO implements Serializable {

    // 主键 id （uuid）
    private String sceneId;
    // 基准场景名称
    private String sceneName;
    // 主车动作
    private String[][] mainBehavior;
    // 他车动作
    private String[][] otherBehavior;
    // 天气
    private String[][] weather;
    // 道路类型
    private String[][] roadType;
    // 道路几何-平面
    private String[][] roadGeometryPlane;
    // 道路几何-纵断面
    private String[][] roadGeometryVertical;
    // 自动驾驶功能
    private String[][] autoDriveFunction;
    // 运行区域
    private String[][] operationArea;
    // 场景描述
    private String sceneDescription;
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;
    // 标签
    private String label;
    // 供场景上传任务删除使用
    private List<String> sceneNames;
    // 用于批量删除的名称列表
    private List<String> sceneIdList;
    private String[] ids; //回显数组
    private List<String> AllIds; //权限集合
    private String userId;
}