package api.common.pojo.param.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 标准法规场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StandardsRegulationsParam extends PageVO implements Serializable {

    private List<String> sceneNameList;   // 用于批量删除的名称列表
    private String regulationsId;              // （唯一）
    private String sceneName;  //场景名称
    private List<String> regulationType;  //法规类型
    private String standardType;  //标准类型
    private String share; //是否分析  1为分享

    private String videoAddress; //视频地址
    private String osgbAddress;//
    private String xmlAddress; //
    private String xodrAddress; //
    private String jsonAddress; //
    private String videoPreview;//视频预览地址
    private String[] ids; //回显数组
    private List<String> label;  //法规类型
    private List<String> AllIds; //权限集合

    private String xlk = "0";//判断下拉框是否为空 0为空  1为有值
    private String bq = "0";//判断标签是否为空 0为空  1为有值

    private String userId;

    private String[] allSceneNames; //场景名集合
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    // 危险度下限
    private String minRisk;
    // 危险度上限
    private String maxRisk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;
    private String needComplexity;
    private String needRisk;
}