package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 基准场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneReferenceLibPO implements Serializable {

    // 主键 id （uuid）
    private String sceneId;
    // 基准场景名称
    private String sceneName;
    // 主车动作
    private String mainBehavior;
    // 他车动作
    private String otherBehavior;
    // 天气
    private String weather;
    // 道路类型
    private String roadType;
    // 道路几何-平面
    private String roadGeometryPlane;
    // 道路几何-纵断面
    private String roadGeometryVertical;
    // 自动驾驶功能
    private String autoDriveFunction;
    // 运行区域
    private String operationArea;
    // 场景描述
    private String sceneDescription;
    // 标签
    private String label;
    // 是否已删除
    public String isDeleted;

    // 复杂度
    private String complexity;
    // 危险度
    private String risk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;

    // 视频地址
    private String videoAddress;
    private String osgbAddress;
    private String xmlAddress;
    private String xodrAddress;
    private String jsonAddress;
    // 视频预览地址
    private String videoPreview;
    // 该场景仿真最大时长
    private String maxTime;
    // 供场景上传任务删除使用
    private List<String> sceneNames;
    // 记录创建时间
    public Timestamp createTime;
    // 记录最后更新时间（包括删除）
    public Timestamp modifyTime;
    // 记录创建人（用户id）
    public String createUserId;
    // 记录最后更新人（包括删除）（用户id）
    public String modifyUserId;

}
