package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;

/**
 * 基准场景库返回前端
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneReferenceLibVO extends PageVO implements Serializable {

    // 主键 id （uuid）
    private String sceneId;
    // 基准场景名称
    private String sceneName;
    // 主车动作
    private String mainBehavior;
    // 他车动作
    private String otherBehavior;
    // 天气
    private String weather;
    // 道路类型
    private String roadType;
    // 道路几何-平面
    private String roadGeometryPlane;
    // 道路几何-纵断面
    private String roadGeometryVertical;
    // 自动驾驶功能
    private String autoDriveFunction;
    // 运行区域
    private String operationArea;
    // 场景描述
    private String sceneDescription;
    // 标签
    private String label;
    // 视频地址
    private String videoAddress;
    // 视频预览地址
    private String videoPreview;
    // 该场景仿真最大时长
    private String maxTime;
    // 复杂度
    private String complexity;
    // 危险度
    private String risk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;

}