package com.css.simulation.resource.scene.common.feign;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneImportParam;
import com.css.simulation.resource.scene.common.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(
        //name = "SceneService",
        //url = "http://127.0.0.1:7003",
        contextId = "SceneService",
        value = "simulation-resource-server",
        path = "/simulation/resource/server",
        fallback = SceneServiceFallback.class,
        configuration = FeignConfiguration.class)
public interface SceneService {

    //交通事故
    @Async
    @PostMapping("/SceneAccident/saveSceneAccidentBatch")
    ResponseBodyVO saveSceneAccidentBatch(SceneImportParam sceneImportParam);
    //自然场景
    @Async
    @PostMapping("/SceneNatural/saveSceneNaturalBatch")
    ResponseBodyVO saveSceneNaturalBatch(SceneImportParam sceneImportParam);
    //标准法规
    @Async
    @PostMapping("/StandardsRegulations/saveStandardsRegulationsBatch")
    ResponseBodyVO saveStandardsRegulationsBatch(SceneImportParam sceneImportParam);

    // 基准场景库
    @Async
    @PostMapping("/sceneReference/saveSceneReferenceLibBatch")
    ResponseBodyVO saveSceneReferenceLibBatch(SceneImportParam sceneImportParam);
}
